Subject: bug#17617: closed (Re: bug#17617: bug / regression in grep-2.19)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 May 2014 04:30:05 +0000

Your bug report

#17617: bug / regression in grep-2.19

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17617: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17617
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17617: bug / regression in grep-2.19
From: Jim Meyering <[email-masked]>
To: Norihiro Tanaka <[email-masked]>
Cc: Peter Radics <[email-masked]>, [email-masked]
Date: Wed, 28 May 2014 21:29:15 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, May 28, 2014 at 5:50 PM, Jim Meyering <[email-masked]> wrote:
> On Wed, May 28, 2014 at 4:27 PM, Norihiro Tanaka <[email-masked]> wrote:
>> Thanks for the report.  I submit a patch to fix and test it.
>>
>> When `is' of `must' is cleared, should be also cleared `begline' and
>> `endline' at OR in dfamust.
>
> Thank you for the quick patch.
> I've made some small changes and will push the following shortly:
...

Pushed.

Subject: bug / regression in grep-2.19
From: Péter Radics <[email-masked]>
To: [email-masked]
Date: Wed, 28 May 2014 10:46:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

  I've found a problem introduced in the 2.19 version of grep:

[mitch@deneb grep-2.19]$ echo "aa" | src/grep -E 'a(b$|c$)' && echo FAIL ||
echo SUCCESS
aa
FAIL

This doesn't fail with 2.18:

[mitch@deneb grep-2.18]$  echo "aa" | src/grep -E 'a(b$|c$)' && echo FAIL
|| echo SUCCESS
SUCCESS

Tested on arch-linux (3.14.4-1-ARCH) and freebsd-9
Built with gcc-4.2, gcc-4.9, clang-3.3 and clang-3.4, so it's probably not
a compiler / system lib issue.

Also tested with and without the configure option
" --without-included-regex "

regards,
mitch

ps: make check passes, so a new test case should probably be included, too